using LinqToDB.Mapping;

namespace bahnplan.web.database.Tables {
	[Table(Name = "TicketLegs")]
	public class TicketLeg {
		[Column(Name = "TicketLegID"), PrimaryKey, Identity, NotNull]
		public int TicketLegId { get; set; }

		[Column(Name = "TicketID"), NotNull] public int TicketId { get; set; }

		[Column(Name = "TrainType"), NotNull] public string TrainType { get; set; }

		[Column(Name = "TrainNr"), NotNull] public int TrainNr { get; set; }

		[Column(Name = "DepStationID"), NotNull]
		public int DepStationId { get; set; }

		[Column(Name = "DepStation"), NotNull] public string DepStation { get; set; }

		[Column(Name = "DepTime"), NotNull] public string DepTime { get; set; }

		[Column(Name = "ArrStationID"), NotNull]
		public int ArrStationId { get; set; }

		[Column(Name = "ArrStation"), NotNull] public string ArrStation { get; set; }

		[Column(Name = "ArrTime"), NotNull] public string ArrTime { get; set; }
	}
}